package com.openxware.rss;

import java.io.InputStream;
import java.net.URL;
import android.app.Activity;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.widget.ImageView;
import android.widget.TextView;

public class ImageFromUrl extends Activity {
    
	private String url = null;
	private String description = null;
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.image_viewer);
        
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
        	url = extras.getString("imageUrl");
        	description = extras.getString("propertyDescription");
        }

        ImageView imgView = (ImageView) findViewById(R.id.ImageView);
        TextView txtView = (TextView) findViewById(R.id.DescriptionView);
        
        Drawable drawable = LoadImageFromWebOperations(url);
        imgView.setImageDrawable(drawable);
        txtView.setText(description);
    }

   private Drawable LoadImageFromWebOperations(String url) {
		try {
			InputStream is = (InputStream) new URL(url).getContent();
			Drawable d = Drawable.createFromStream(is, "src name");
			return d;
			
		}catch (Exception e) {
			return null;
		}
	}
}