package com.openxware.rss;

import java.util.ArrayList;

import com.openxware.rss.Property;
import com.openxware.rss.R;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;

import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;

public class MainActivity extends Activity {
	
    ListView list;
    LazyAdapter adapter;
	ArrayList<Property> properties = new ArrayList<Property>();
	Property selectedProperty;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        adapter = new LazyAdapter(this, getString(R.string.rental_feed), properties);
        
        list = (ListView) findViewById(R.id.list);
        list.setOnItemClickListener(new OnItemClickListener() {
	        public void onItemClick(AdapterView<?> _av, View _v, int _index, long arg3) {
	        	selectedProperty = properties.get(_index);
	        	showActivity();
	        }
	    });
        list.setOnScrollListener(adapter);
        list.setAdapter(adapter);
    }
    
    private void showActivity() {
    	Intent imageView = new Intent(this, ImageFromUrl.class);
    	
		String propertyDescription = selectedProperty.getTitle() + "\n" +
				           			"Bedrooms " + selectedProperty.getBedrooms()  + "\n" +  
				           			"Bathrooms " + selectedProperty.getBathrooms();
    	
    	Bundle bundle = new Bundle();
    	bundle.putString("imageUrl", selectedProperty.getImage());
    	bundle.putString("propertyDescription", propertyDescription);
    	imageView.putExtras(bundle);
    	
    	startActivity(imageView);
    }
    
    @Override
    public void onDestroy() {
        adapter.imageLoader.stopThread();
        list.setAdapter(null);
        super.onDestroy();
    }
    
}